Home Theater Forum and Systems banner

61 - 80 of 138 Posts

·
Registered
Joined
·
7,514 Posts
What is the difference from V1.0 to 1.1 to 1.2 to 1.3?
The answer is no one knows..... Behringer fixes little things and they don't usually release what was done. We only knew this time since it was REW that uncovered a problem...
 

·
Registered
Joined
·
790 Posts
Recently, I also returned my DSP1124P to my vendor (still under 2yr warranty). Today, I received a new packet from Behringer Germany directly: An FBQ 2496. The DSP1124P does not seem to be produced anymore, so Behringer simply decided to exchange my device.

Of course, the 2496 has less presets than the old 1124P, but, still, a fair deal. :jiggy:
 

·
Registered
Joined
·
790 Posts
Hi Folks,

I have installed the V1.4 eprom from Hobbyroms.com in my DSP1124p.

I tested one of the MIDI commands so far- the Gain setting command, which is controller 16.
It is supposed to accept data values from 0 to 64 and sets the gain from -48 to +16dB on whatever filter is currently selected.
I manually put a filter in parametric mode at a freq of 1KHz and wide bandwidth. I was able to ramp the gain up and down on the filter using an external MIDI controller with scrollwheel. The results were audible and the display showed the gain changing.

I am satisfied that the MIDI functions are now working correctly and will now try out the Room EQ Wizard to see what it can do.

Thanks to all involved in making this fix available.
 

·
Registered
Joined
·
790 Posts
A local retailer is getting a couple of the 1124s in this week and I was thinking about picking one up. Will it have shipped with version 1.3 or 1.4? Any guesses? I really do not want to mess with the chip surgery.
 

·
Registered
Joined
·
7,514 Posts
Impossible to tell. Power up the units in the store and see what the version number is. Then you can make a decision. If you don't want to play with the prom, then get a 2496 instead.

brucek
 

·
Registered
Joined
·
790 Posts
Impossible to tell. Power up the units in the store and see what the version number is. Then you can make a decision. If you don't want to play with the prom, then get a 2496 instead.

brucek
Thanks -- beyond that, does anyone know if they are even shipping units with the new firmware, or all of these inventoried units that were built 8 months ago that are being released now?
 

·
Registered
Joined
·
73 Posts
Thanks -- beyond that, does anyone know if they are even shipping units with the new firmware, or all of these inventoried units that were built 8 months ago that are being released now?
As BruceK said, there is no way to tell except to go to the store and power up the unit while holding down the Filter Select button and read the Version # displayed. Those units could have been manufactured three weeks or three years ago. There is no way DEFINITE way to tell unless you physically verify it.
 

·
Registered
Joined
·
73 Posts
I just ordered one from ZZounds and got a 1.3 unit. Bummer...
Really not a big deal anymore. Just order the V1.4 firmware chip from Steph at http://www.hobbyroms.com and for $10 and for a some very easy effort, you are all set.
Remember, if you are not going to use the midi jacks, you don't need it. That being said, I could not live with that myself whether I was using the midi jacks or not...
 

·
Registered
Joined
·
790 Posts
I know that it was asked twice in this thread, but to me, it was never answered. If you have a Version 1.0, will it work with a Midi interface or would this need to be updated to V. 1.4?

Thanks
 

·
Registered
Joined
·
7,514 Posts
My understanding is that the earlier versions worked and somewhere along the line they messed it up. Someone else will have to verify....... hook up your cable and test it....send it a filter. If it takes, you're good...

brucek
 

·
Registered
Joined
·
790 Posts
I just updated the firmware in my DSP1124P, from ver 1,3 to ver 1.4 because I could not store the filter settings from the midi interface.

With my new update, I can now sore filter settings.:T

For you information I programmed a normal UV erasable 27C512 EPROM with the new firmware, instead of using the more seldom OTP HOC27C512 ROM, and that works very well too.

regards
mtolesen
Denmark
 

·
Registered
Joined
·
790 Posts
Boy am I glad I saw this thread! Just picked up a BFD from Guitar Center and was going to hook it up (and download filters via MIDI) tonight. Maybe not! Will hold my breath as I verify the version number at power on and hope to see 1.2 or earlier. If not, thanks to you guys I know what to do. Thanks in advance!
 

·
Registered
Joined
·
790 Posts
I bought one on the weekend (saturday) for $99.

midi didn't work.

went to the support web site and filed an online service request on monday

today I got a response saying v 1.4 firmware chip was in the mail.

I can't ask for better service than that.
 

·
Registered
Joined
·
790 Posts
Boy am I glad I saw this thread! Just picked up a BFD from Guitar Center and was going to hook it up (and download filters via MIDI) tonight. Maybe not! Will hold my breath as I verify the version number at power on and hope to see 1.2 or earlier. If not, thanks to you guys I know what to do. Thanks in advance!
Nuts. 1.3
 

·
Registered
Joined
·
73 Posts
Nuts. 1.3
Whoa, doesn't seem to bee a big deal now. Just do what dsiroky did and give customer service a call.

went to the support web site and filed an online service request on monday today I got a response saying v 1.4 firmware chip was in the mail.
NICE!!!:clap:

dsiroky: Exactly what did you say/write to them?
 

·
Registered
Joined
·
790 Posts
Here you go - straight from my helpdesk log request:

Question Reference No070416-000041
---------------------------------------------------------------
Summary: MIDI not working
Product Level 1: DSP1124P FEEDBACK DESTROYER PRO
Category Level 1: Warranty or Parts Support
Date Created: 16/04/2007 01.15 PM
Last Updated: 16/04/2007 01.15 PM
Status: Unresolved
Software version: 1.3
Serial number: n0611058124


Discussion Thread
---------------------------------------------------------------
Customer - 16/04/2007 01.15 PM
I purchased this unit brand new from my dealer on Saturday. It is working fine if I program manually, but MIDI programming is not working.

I think I need a new v1.4 or later EPROM to fix the bug.

purchase date April 14th, 2007

Auto-response - 16/04/2007 01.15 PM
 

·
Registered
Joined
·
19 Posts
I bought one on the weekend (saturday) for $99.

midi didn't work.

went to the support web site and filed an online service request on monday

today I got a response saying v 1.4 firmware chip was in the mail.

I can't ask for better service than that.
Same here. Just got e-mail yesterday saying the 1.4 chip is in the mail:jump:
 

·
Registered
Joined
·
790 Posts
Little confused.
If I go into the store and power them up, what vs. works without having to mod the chip?
Are there vs. that I am looking to stay away from?
My impression is that 1.0, 1.1, 1.2 should work just fine without mod, and 1.3 needs the mod. Is this a correct assumption?
 
61 - 80 of 138 Posts
Top